import { createAttrsHoc } from "../../defines/createAttrsHoc";

export const defaultValue = {
  cardColumns: 3,
  themeColor: "red",
  list: [] as { name: string; img: string; desc: string }[],
  title: "新科技反光面料 引领潮流新风尚",
  desc: "时尚 ｜ 精致 ｜ 百搭",
  bgSrc:
    "https://infishwaibao.oss-cn-chengdu.aliyuncs.com/release/sku3d/img/partner_bg.5e324d05.png",
};

export const dragOptions = {
  name: "卡片",
  defaultValue,
};

export const Attrs = createAttrsHoc([
  {
    label: "卡片数量",
    dataIndex: "value.cardColumns",
  },
  {
    label: "主题颜色",
    dataIndex: "value.themeColor",
  },
  {
    label: "背景图片",
    dataIndex: "value.bgSrc",
  },
]);
