import { defineComponent } from "vue";
import { any } from "vue-types";
import { View } from "../../basicUI/View";
import { Text } from "../../basicUI/Text";
import { defaultValue } from "./config";

export const Cover = defineComponent({
  props: {
    value: any<typeof defaultValue>().isRequired,
  },
  setup(props) {
    return () => {
      return (
        <View bgSrc={props.value.bgSrc}>
          <Text v-model={[props.value.title, "value"]} />
          <Text v-model={[props.value.desc, "value"]} />
        </View>
      );
    };
  },
});
