import { ResourceModule } from ".";

export const store = ResourceModule.store({
  state: () => ({
    type: "video",
    sourceDetail: {
      webEditor: { pack: {} },
    } as any,
  }),
  actions: {
    setSourceType(v: string) {
      this.store.type = v;
    },
    setSourceDetail(data) {
      this.store.sourceDetail = data;
    },
  },
});
